![Braze Logo](https://github.com/Appboy/appboy-ios-sdk/blob/master/braze-logo.png)

# iOS SDK

Successful marketing automation is essential to the future of your mobile app. Braze helps you engage your users beyond the download. Visit the following links for details and we'll have you up and running in no time!

- [Braze Academy](http://www.braze.com/academy "Braze Academy")
- [Technical Documentation](http://documentation.braze.com "Braze Technical Documentation")
- [Full Class Documentation](http://appboy.github.io/appboy-ios-sdk/docs/annotated.html "Braze iOS SDK Class Documentation")

## Components

- `AppboyKit` - Contains the variant of our SDK.
- `AppboyUI` - Contains the open-source UI code of our SDK. Not all of the UI code of the SDK is open-source.
- `Samples` - Contains sample apps for different Braze features.
- `Example` - Contains the Stopwatch Sample App which contains integration examples for the iOS SDK.
	- The Stopwatch Sample App uses our [CocoaPods](http://guides.cocoapods.org/) integration (`Appboy-iOS-SDK`), so you must :
	  1. [Install CocoaPods](http://guides.cocoapods.org/using/getting-started.html)
	  2. Run `pod install` in the `Example` directory
	  3. Open the `Stopwatch.xcworkspace` to open the project.

## Version Support

The iOS SDK supports iOS 8.0+. 

Integrating the iOS SDK [requires Xcode 10](https://github.com/Appboy/appboy-ios-sdk/blob/master/CHANGELOG.md#390).

Braze uses [Font Awesome](http://fortawesome.github.io/Font-Awesome/) 4.3.0 for in-app message icons.  Check out the [cheat sheet](http://fortawesome.github.io/Font-Awesome/cheatsheet/) to browse available icons.

[![Carthage compatible](https://img.shields.io/badge/Carthage-compatible-4BC51D.svg?style=flat)](https://github.com/Carthage/Carthage) as a prebuilt framework.  Building from source currently not supported, see [#85](https://github.com/Appboy/appboy-ios-sdk/issues/85). 

## Questions?

If you have questions, please contact [support@braze.com](mailto:support@braze.com).
